monitor.cpp File Reference

Library for sending message to monitor or receiving message. More...

`#include "monitor.h"`
`#include "server.h"`
Include dependency graph for monitor.cpp:

Go to the source code of this file.

## Functions

string | serverReceive (int size)
int | sendMessage (const char *data, int dataLength)
int | receive (char *data)
int | send_message_to_monitor (const char *typeMessage, const void *data)
| Envoi d'un message vers l'interface graphique. More...
int | receive_message_from_monitor (char *typeMessage, char *data)
| Réception d'un message. La fonction est bloquante et retourne par référence le type de message reçu (DMB pour un ordre au robot, ARN pour la détection des arènes et POS pour un calcul de position) ainsi que les données associées. More...

## Variables

SOCKADDR_IN | ssin
SOCKET | sock
socklen_t | recsize = sizeof (ssin)

## Detailed Description

Library for sending message to monitor or receiving message.

Author
  L.senaneuch

Version
  1.0

Date
  06/06/2017

Definition in file monitor.cpp.

## Function Documentation

## receive()

int receive | ( | char * | data | ) |

Definition at line 90 of file monitor.cpp.

## receive_message_from_monitor()

int receive_message_from_monitor | ( | char * | typeMessage,
|  | char * | data
| ) |  |

Réception d'un message. La fonction est bloquante et retourne par référence le type de message reçu (DMB pour un ordre au robot, ARN pour la détection des arènes et POS pour un calcul de position) ainsi que les données associées.

Parameters

  typeMessage | Type du message reçu : DMB pour un ordre au robot, ARN pour la demande de détection de l'arène, POS pour un calcul de position et MSG pour un message de l'interface
  data | données associées au message reçu.

Returns
  retourne 0 la taille du message reçu ou une valeur négative si la connexion est perdue.

Definition at line 83 of file monitor.cpp.

## send_message_to_monitor()

int send_message_to_monitor | ( | const char * | typeMessage,
|  | const void * | data = `NULL`
| ) |  |

Envoi d'un message vers l'interface graphique.

Parameters

  typeMessage | Type du message envoyé. Les valeurs possibles sont IMG pour une image, MES pour un message à afficher dans la console, POS pour la position du robot, BAT pour une valeur de la batterie et ACK pour valider un message de l'interface.
  data | données associées au message. Le type de la donnée doit correspondre au message : Image pour IMG, char * MES, Position pour POS, char * pour BAT et rien pour ACK. Attention, il n'y a aucune vérification a posterio.

Returns
  retourne 0 si l'envoie a bien été réalisé et -1 en cas de problème.

Definition at line 40 of file monitor.cpp.

## sendMessage()

int sendMessage | ( | const char * | data,
|  | int | dataLength
| ) |  |

Definition at line 97 of file monitor.cpp.

## serverReceive()

string serverReceive | ( | int | size | ) |

## Variable Documentation

## recsize

socklen_t recsize = sizeof (ssin)

Definition at line 33 of file monitor.cpp.

## sock

SOCKET sock

Definition at line 32 of file monitor.cpp.

## ssin

SOCKADDR_IN ssin

Definition at line 31 of file monitor.cpp.